ScanopyScanopy
Daemon API Keys

Create Daemon API Key

POST
/api/v1/auth/daemon

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/auth/daemon" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",    "tags": [      "a424dc99-d215-4281-ad2d-a3a9bc179925"    ]  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "data": {
    "api_key": {
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "last_used": "2019-08-24T14:15:22Z",
      "name": "string",
      "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
      "tags": [
        "a424dc99-d215-4281-ad2d-a3a9bc179925"
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "daemon_id": "0f0cd6bf-ac90-457b-aa3f-6f24990d5ff6",
      "expires_at": "2019-08-24T14:15:22Z",
      "is_enabled": true
    },
    "key": "pa$$word"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.13"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}